org.apache.poi.hwpf.model

## Enum SubdocumentType

- java.lang.Object
- - java.lang.Enum<SubdocumentType>
  - - org.apache.poi.hwpf.model.SubdocumentType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SubdocumentType>

      @Internal
      public enum SubdocumentType
      extends java.lang.Enum<SubdocumentType>

  Document text parts that can have text pieces (CPs)
  Author:
    Sergey Vladimirov (vlsergey {at} gmail {dot} com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANNOTATION`
    `ENDNOTE`
    `FOOTNOTE`
    `HEADER`
    `HEADER_TEXTBOX`
    `MACRO` Deprecated.
    `MAIN`
    `TEXTBOX`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SubdocumentType[]` | `ORDERED` Array of `SubdocumentType`s ordered by document position and FIB field order

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SubdocumentType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SubdocumentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAIN

          public static final SubdocumentType MAIN

    - #### FOOTNOTE

          public static final SubdocumentType FOOTNOTE

    - #### HEADER

          public static final SubdocumentType HEADER

    - #### MACRO

          @Deprecated
          public static final SubdocumentType MACRO

      Deprecated.

    - #### ANNOTATION

          public static final SubdocumentType ANNOTATION

    - #### ENDNOTE

          public static final SubdocumentType ENDNOTE

    - #### TEXTBOX

          public static final SubdocumentType TEXTBOX

    - #### HEADER_TEXTBOX

          public static final SubdocumentType HEADER_TEXTBOX

  - ### Field Detail

    - #### ORDERED

          public static final SubdocumentType[] ORDERED

      Array of `SubdocumentType`s ordered by document position and FIB field order

  - ### Method Detail

    - #### values

          public static SubdocumentType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SubdocumentType c : SubdocumentType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SubdocumentType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.